package dipole ;

public class  Complexe {
    // les champs 
    private double reelle, imaginaire ;

    public Complexe(double re, double im){
	reelle = re ;
	imaginaire = im;
    }

    public double reelle() {
	return reelle ;
    }

    public double imaginaire() {
	return imaginaire ;
    }

    public void add(Complexe c ){
	assert c != null;

	reelle = reelle + c.reelle;
	imaginaire = imaginaire + c.imaginaire;
    }

    public void inverse() {
	assert Math.abs(reelle()) > 0.0001 || Math.abs(imaginaire()) > 0.0001;

	double m = reelle * reelle + imaginaire * imaginaire;
	reelle = reelle / m ;
	imaginaire = - imaginaire / m;
    }

    public String toString(){
	return (reelle + " + " + imaginaire + "i");
    }

}

				
	
