package dipole;
import java.util.ArrayList;
import java.util.Iterator;

public class NSerie extends NAire implements Dipole{

    //VERSION TABLEAU (QUESTION 3)

//     public NSerie(Dipole[] dipoles){
// 	super(dipoles);
//     }

//     public Complexe impedance(double omega) {
// 	// syntaxe boucles java 5 :P
// 	Complexe somme = new Complexe(0,0);
// 	for (Dipole d : tab())
// 	    somme.add(d.impedance(omega));
// 	return somme;
//     }

    //VERSION ArrayList (QUESTION 4)

    public NSerie(ArrayList<Dipole> dipoles){
	super(dipoles);
    }

    public Complexe impedance(double omega) {
	Complexe somme = new Complexe(0,0);
	for (Iterator i = tab.iterator(); i.hasNext();)
	    somme.add(((Dipole)i.next()).impedance(omega));
	return somme;

// 	au lieu d'utiliser un iterateur, avec la boucle simplifi on
// 	fait juste:

// 	public Complexe impedance(double omega) {
// 	    Complexe somme = new Complexe(0,0);
// 	    for (Dipole d : tab())
// 		somme.add(d.impedance(omega));
// 	    return somme;
//	}

//	mais bon, le prof conseille un iterateur..haha !
    }
}