package dipole;

public class Parallele extends Binaire implements Dipole{

    public Parallele(Dipole d1, Dipole d2) {
	super(d1,d2);
    }

    public Complexe impedance (double omega) {
	Complexe c1 = dip1().impedance(omega);
	Complexe c2 = dip2().impedance(omega);
	c1.inverse();
	c2.inverse();
	c1.add(c2);
	c1.inverse();
	return c1;
    }
}
	      
