package dipole;
import java.util.ArrayList;

public class TestNAire {

//VERSION TABLEAU (QUESTION 3)

//     public static void main ( String[] args) {
// 	double l = 2e-1;
// 	double omega = 314.16;
// 	double o1 = 100;
// 	double o2 = 1e7;
// 	double o3 = 1;
// 	double f = 1e-6;
// 	Self s = new Self (l);
// 	Resistance r1 = new Resistance (o1);
// 	Resistance r2 = new Resistance (o2);
// 	Resistance r3 = new Resistance (o3);
// 	Capacite c = new Capacite(f);
// 	NSerie ns1 = new NSerie(new Dipole[]{r1,s});
// 	NParallele np1 = new NParallele(new Dipole[]{r2,c});
// 	NParallele np2 = new NParallele(new Dipole[]{ns1,np1});
// 	NSerie circuit = new NSerie(new Dipole[]{np2,r3});
// 	System.out.println(circuit.impedance(omega));
//     }

//VERSION ArrayList (QUESTION 4)

    public static void main ( String[] args) {
	double l = 2e-1;
	double omega = 314.16;
	double o1 = 100;
	double o2 = 1e7;
	double o3 = 1;
	double f = 1e-6;
	Self s = new Self (l);
	Resistance r1 = new Resistance (o1);
	Resistance r2 = new Resistance (o2);
	Resistance r3 = new Resistance (o3);
	Capacite c = new Capacite(f);	
	NSerie ns1 = new NSerie(new ArrayList<Dipole>());
	ns1.ajouter(r1);
	ns1.ajouter(s);
	NParallele np1 = new NParallele(new ArrayList<Dipole>());
	np1.ajouter(r2);
	np1.ajouter(c);
	NParallele np2 = new NParallele(new ArrayList<Dipole>());
	np2.ajouter(ns1);
	np2.ajouter(np1);
	NSerie circuit = new NSerie(new ArrayList<Dipole>());
	circuit.ajouter(np2);
	circuit.ajouter(r3);
	System.out.println(circuit.impedance(omega));
    }

}