package dipole;
import java.util.ArrayList;
import java.util.Iterator;

public class NParallele extends NAire implements Dipole{

//VERSION TABLEAU (QUESTION 3)

//     public NParallele(Dipole[] dipoles){
// 	super(dipoles);
//     }

//     public Complexe impedance(double omega) {
// 	// syntaxe boucles java 5 :P
// 	Complexe somme = new Complexe(0,0);
// 	for (Dipole d : tab()){
// 	    Complexe c = d.impedance(omega);
// 	    c.inverse();
// 	    somme.add(c);
// 	}
// 	somme.inverse();
// 	return somme;
//     }

    //VERSION ArrayList (QUESTION 4)

    public NParallele(ArrayList<Dipole> dipoles){
	super(dipoles);
    }

    public Complexe impedance(double omega) {
	Complexe somme = new Complexe(0,0);
	for (Iterator i = tab.iterator(); i.hasNext();){
	    Complexe c = ((Dipole)i.next()).impedance(omega);
	    c.inverse();
	    somme.add(c);
	}
	somme.inverse();
	return somme;
    }

// 	au lieu d'utiliser un iterateur, avec la boucle simplifi on
// 	fait juste:

//     public Complexe impedance(double omega) {
// 	Complexe somme = new Complexe(0,0);
// 	for (Dipole d : tab())
// 	    Complexe c = d.impedance(omega);
// 	    c.inverse();
// 	    somme.add(c);
// 	}
// 	somme.inverse();
// 	return somme;
//     }

//	mais bon, le prof conseille un iterateur..haha !
}